# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class EdgeEnrollRequest(JDCloudRequest):
    """
    添加边缘计算设备
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(EdgeEnrollRequest, self).__init__(
            '/edge/{edgeId}', 'POST', header, version)
        self.parameters = parameters


class EdgeEnrollParameters(object):

    def __init__(self, edgeId, edgeName, instanceId, os, hardware, ):
        """
        :param edgeId: 边缘计算节点编号
        :param edgeName: 边缘计算设备显示名称
        :param instanceId: IoTHubInstance编号
        :param os: 操作系统
        :param hardware: 硬件平台版本
        """

        self.edgeId = edgeId
        self.edgeName = edgeName
        self.instanceId = instanceId
        self.os = os
        self.hardware = hardware
        self.edgeDesc = None

    def setEdgeDesc(self, edgeDesc):
        """
        :param edgeDesc: (Optional) 边缘说明
        """
        self.edgeDesc = edgeDesc

