# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModuleEnrollRequest(JDCloudRequest):
    """
    计算模块登记
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModuleEnrollRequest, self).__init__(
            '/edge/{edgeId}/module:enroll', 'POST', header, version)
        self.parameters = parameters


class ModuleEnrollParameters(object):

    def __init__(self, edgeId, ):
        """
        :param edgeId: 边缘计算节点编号
        """

        self.edgeId = edgeId
        self.deviceId = None
        self.moduleId = None
        self.moduleTypeId = None
        self.moduleConfId = None
        self.isDeploy = None

    def setDeviceId(self, deviceId):
        """
        :param deviceId: (Optional) 待添加的设备编号
        """
        self.deviceId = deviceId

    def setModuleId(self, moduleId):
        """
        :param moduleId: (Optional) 边缘计算模块名称
        """
        self.moduleId = moduleId

    def setModuleTypeId(self, moduleTypeId):
        """
        :param moduleTypeId: (Optional) 边缘计算模块类型编号
        """
        self.moduleTypeId = moduleTypeId

    def setModuleConfId(self, moduleConfId):
        """
        :param moduleConfId: (Optional) 边缘计算模块配置编号
        """
        self.moduleConfId = moduleConfId

    def setIsDeploy(self, isDeploy):
        """
        :param isDeploy: (Optional) 是否立即部署[0-立即部署,1-暂不部署]
        """
        self.isDeploy = isDeploy

